Description

The existence of the zStreams tends to cause confusion with users. These should be hidden, perhaps in an "Advanced" section in

order to make things work more clearly out of the box.

## Acceptance criteria

As a Katello UI user, I should be encouraged to enable repositories that do not

specify a Y release version.

- Kickstart repository set repositories are never grayed or bolded

- Repository sets with a release version X (without Y) repository:

  - show X release version repositories in bold

  - show X.Y repositories in gray

  - show an 'info' icon next to X.Y repositories

  - display a message on hover of 'info' icon next to X.Y repositories: "This repository has a ver

y specific update policy. Please see additional [documentation](https://access.redhat.com/articles

/1586183) prior to use." 

- Linked documentation is publicly accessible

Related issues:

Related to Katello - Bug #24679: [Sat6.4] Sorting of available minor version ... Closed

Associated revisions

Revision a9909889 - 09/04/2018 11:45 AM - Andrew Kofink

Fixes #23882: Deemphasize yStream repos

Revision fea1211d - 09/11/2018 01:42 PM - Tomáš Strachota

Refs #23882 - fix lint errors and translations

- type property was missing in RepositorySetRepositories

- <translate> directive from Angular doesn't work in React

History

#1 - 06/11/2018 03:29 PM - Andrew Kofink

y streams are tracked for each repo in repo['substitutions']['releasever']. Here are some repo examples:

[{"substitutions"=>{"releasever"=>"7.5", "basearch"=>"x86_64"},                                               

                                                                                                           

 "path"=>"/content/dist/rhel/server/7/7.5/x86_64/os",                                                         

                                                                                                          

 "repo_name"=>"Parthas Red Hat Enterprise Linux 7 Server RPMs x86_64 7.5",                                    

                                                                                                          

 "pulp_id"=>"6028bb20-a4d1-47ad-9766-ab6420e0a7cc",                                                           
 "name"=>"Partha's Red Hat Enterprise Linux 7 Server (RPMs)",

 "enabled"=>false,                                                                                            

                                                                                                          

 "promoted"=>false,                                                                                           

                                                                                                          

 "repository_id"=>nil},                                                                                       

                                                                                                          

{"substitutions"=>{"releasever"=>"7Server", "basearch"=>"multiarch"},                                         

                                                                                                          

 "path"=>"/content/dist/rhel/server/7/7Server/multiarch/os",                                                  

                                                                                                          

 "repo_name"=>"Parthas Red Hat Enterprise Linux 7 Server RPMs multiarch 7Server",

 "pulp_id"=>"a194d542-5103-4e76-8d06-227791906690",                                                           

                                                                                                          

 "name"=>"Partha's Red Hat Enterprise Linux 7 Server (RPMs)",                                                 

                                                                                                          

 "enabled"=>false,                                                                                            

                                                                                            

 "promoted"=>false,                                                                                           

                                                                                                         

 "repository_id"=>nil},                                                                                       

                                                                                                         

{"substitutions"=>{"releasever"=>"7Server", "basearch"=>"x86_64"},                                            

                                                                                                         

 "path"=>"/content/dist/rhel/server/7/7Server/x86_64/os",                                                     

                                                                                                         

 "repo_name"=>"Parthas Red Hat Enterprise Linux 7 Server RPMs x86_64 7Server",                                

                                                                                                          

 "pulp_id"=>"979f3947-249f-4d6c-b2f9-598f7a44b4ab",                                                           

                                                                                                          

 "name"=>"Partha's Red Hat Enterprise Linux 7 Server (RPMs)",                                                 

                                                                                                          

 "enabled"=>true,                                                                                             

                                                                                                          

 "promoted"=>false,                                                                                           

                                                                                                          

 "repository_id"=>5}]

 It's pretty straightforward to use the releasever to determine if a repo is specific to a y release.

#2 - 06/13/2018 05:47 PM - Justin Sherrill

- translation missing: en.field_release set to 349

#3 - 06/13/2018 08:31 PM - Andrew Kofink

- Description updated

#4 - 06/13/2018 08:32 PM - Andrew Kofink

- Description updated

#5 - 06/13/2018 08:33 PM - Andrew Kofink

- Description updated

#6 - 07/18/2018 06:32 PM - Jonathon Turel

- Target version changed from Katello 3.8.0 to Katello 3.9.0

- Triaged set to Yes

#7 - 07/20/2018 07:40 PM - Andrew Kofink

- Bugzilla link set to 1606369

#8 - 08/17/2018 01:24 PM - The Foreman Bot

- Assignee set to Andrew Kofink

- Pull request https://github.com/Katello/katello/pull/7632 added

#9 - 08/20/2018 04:04 PM - The Foreman Bot

- Status changed from New to Ready For Testing
#10 - 08/22/2018 06:49 PM - Andrew Kofink

- Related to Bug #24679: [Sat6.4] Sorting of available minor version repositories is not consistent on new Red Hat Repositories page added

#11 - 09/04/2018 12:01 PM - Andrew Kofink

- Status changed from Ready For Testing to Closed

Applied in changeset katello|a99098890f82c9c8fb6a1de66bb90811a0fa500d.

#12 - 09/07/2018 08:25 AM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7686 added

#13 - 12/27/2018 02:15 AM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7450 added

#14 - 12/28/2018 03:11 AM - Andrew Kofink

- Pull request deleted (https://github.com/Katello/katello/pull/7450)
